import { SlatePlugin } from '../types/SlatePlugin/SlatePlugin';
import { WithOverride } from '../types/SlatePlugin/WithOverride';
export interface WithInlineVoidOptions {
    plugins?: SlatePlugin[];
    inlineTypes?: string[];
    voidTypes?: string[];
}
/**
 * Merge and register all the inline types and void types from the plugins and options,
 * using `editor.isInline` and `editor.isVoid`
 */
export declare const withInlineVoid: ({ plugins, inlineTypes, voidTypes, }: WithInlineVoidOptions) => WithOverride;
/**
 * @see {@link withInlineVoid}
 */
export declare const useInlineVoidPlugin: (options?: WithInlineVoidOptions | undefined) => SlatePlugin;
//# sourceMappingURL=useInlineVoidPlugin.d.ts.map