import { HistoryEditor } from 'slate-history/dist/history-editor';
import { ReactEditor } from 'slate-react';
import { SlatePluginsOptions } from '../types/SlatePluginOptions/SlatePluginsOptions';
import { SPEditor } from '../types/SPEditor';
/**
 * Slate editor with generic type (default is `ReactEditor & HistoryEditor & RandomKeyEditor`).
 */
export declare const useSPEditor: <TEditor extends import("slate").BaseEditor = ReactEditor & HistoryEditor & SPEditor>(id?: string) => TEditor;
export declare const useSlatePluginsValue: (id?: string) => any[];
export declare const usePlugins: (id?: string) => import("..").SlatePlugin[];
export declare const useSlatePluginsPluginKeys: (id?: string) => string[];
export declare const useSlatePluginsOptions: (id?: string) => SlatePluginsOptions;
//# sourceMappingURL=useSlatePluginsSelectors.d.ts.map